Bug 114265 - rhr-crush can be ported to RHEL3 by modifying 5 lines in 3 files
Summary: rhr-crush can be ported to RHEL3 by modifying 5 lines in 3 files
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: 1.8
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rob Landry
QA Contact: Rob Landry
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-25 18:23 UTC by Glen A. Foster
Modified: 2007-04-18 17:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 22:51:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen A. Foster 2004-01-25 18:23:08 UTC
Description of problem: Whilst trying to port the rhr-crush test to
RHEL3 (see bug 114266), I found the basic task can be accomplished
with changing 5 lines in 3 files.  The patch below is INDEPENDENT of
the coding error reported in bug 114264) -- if you apply the patch
below, please apply that patch, too.

Version-Release number of selected component (if applicable):
# rpm -q rhr-crush
rhr-crush-0.7-10

<patch>
--- scripts/atlas.orig  2004-01-25 10:55:06.000000000 -0700
+++ scripts/atlas       2004-01-25 09:30:45.000000000 -0700
@@ -5,9 +5,9 @@
     starttest kernel
     local pid=0
     until [ $pid -gt 1 ]; do
-        pid=`pidof -s rpmb`
+        pid=`pidof -s rpmbuild`
     done
-    while `pidof -s rpmb > /dev/null` ; do
+    while `pidof -s rpmbuild > /dev/null` ; do
         local lines=`cat /usr/src/redhat/log/rpm.out | wc -l`
         local percent=`echo "$lines / $kernellines * 100" | bc -l`
         percent=`echo $percent | awk -F\. ' { print "0"$1; } '`


--- scripts/calibrate.orig      2004-01-25 10:55:22.000000000 -0700
+++ scripts/calibrate   2004-01-25 09:30:26.000000000 -0700
@@ -11,9 +11,9 @@
     starttest kernel
     local pid=0
     until [ $pid -gt 1 ]; do
-        pid=`pidof -s rpmb`
+        pid=`pidof -s rpmbuild`
     done
-    while `pidof -s rpmb> /dev/null` ; do
+    while `pidof -s rpmbuild > /dev/null` ; do
         local lines=`cat /usr/src/redhat/log/rpm.out | wc -l`
         local percent=`echo "$lines / $kernellines * 100" | bc -l`
         percent=`echo $percent | awk -F\. ' { print "0"$1; } '`


--- scripts/kernel.orig 2004-01-25 10:55:33.000000000 -0700
+++ scripts/kernel      2004-01-25 09:31:01.000000000 -0700
@@ -26,7 +26,7 @@

     ( echo "Starting RPM rebuild"
     mount --bind $builddir /usr/src/redhat &&
-    rpm --rebuild --target $machine $src > $builddir/log/rpm.out &&
+    rpmbuild --rebuild --target $machine $src > $builddir/log/rpm.out &&
     cp $builddir/RPMS/$machine/*.rpm $log/$buildpass &&
     cp $builddir/log/rpm.out $log/$buildpass &&
     echo "RPM rebuild complete" ) &

Comment 1 Glen A. Foster 2004-04-28 22:51:09 UTC
After talking to Rob Landry, this enhancement request appears to be an
academic exercise only.  Closing WONTFIX


Note You need to log in before you can comment on or make changes to this bug.